#!/usr/bin/python3
# coding: utf-8
#
#       meetpatchNameDeleteNullPatch.py
#

import os, sys
import pyTreeFoam

import gettext
localeDir = os.getenv("TreeFoamPath") + "/data/locale"
gettext.install("treefoam", localeDir)
#_ = gettext.gettext


caseDir = sys.argv[1]
case = pyTreeFoam.case(caseDir)
timeFolder = case.getCurrTimeFolder()
meshDir = caseDir + os.sep + "constant"
case.clearNullBoundaryAllFields(timeFolder, meshDir)

